Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class MissingValuesWithRegressionSVM

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.FeatureConstruction
              edu.udo.cs.miningmart.operator.MissingValues
                  edu.udo.cs.miningmart.operator.MissingValuesWithRegressionSVM

    public class MissingValuesWithRegressionSVM

extends MissingValues

The class MissingValuesWithRegressionSVM implements the abstract methods createFunction and defineOutputDatatype (from class AttributeOperator). The class uses instances of class Print. The class calls an external wrapper for calling the learning tool SupportVectorMachine.

Version:
  $Id: MissingValuesWithRegressionSVM.java,v 1.5 2006/09/27 14:59:55 euler Exp $
Author:
  Timm Euler

Constructor Summary
`MissingValuesWithRegressionSVM()`

Method Summary
`java.lang.String` | `generateValueForOp(Column columnWithMissingValues)` Generates a sql-function to describe a new column.
`java.lang.String` | `getC()` Gets the c.
`protected java.lang.String` | `getDatabaseSchema()`
`java.lang.String` | `getEpsilon()` Gets the epsilon.
`java.lang.String` | `getKernelType()` Gets the kernelType.
`BaseAttribute` | `getKey()` Gets the optional parameter 'TheKey'.
`java.lang.String` | `getLossFunctionNeg()` Gets the lossFunctionNeg.
`java.lang.String` | `getLossFunctionPos()` Gets the lossFunctionPos.
`long` | `getSampleSize()` Gets the sampleSize.
`BaseAttribute[]` | `getThePredictingAttributes()` Gets ThePredictingAttributes.
`void` | `setToDatabaseSVM()` When this method is called before `generateSQL()`, this operator will use mySVM/db, otherwise mySVM.
`void` | `setToStandardSVM()` When this method is called before `generateSQL()`, this operator will use mySVM.

Methods inherited from class edu.udo.cs.miningmart.operator.MissingValues
`generateSQL`

Methods inherited from class edu.udo.cs.miningmart.operator.FeatureConstruction
`compileStatement, createStatement, execute, generateColumnForOp, getCurrentLoopNumber, getTheInputConcept, getTheOutputAttribute, getTheOutputAttribute, getTheTargetAttribute, getTheTargetAttribute, load, writeResults`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MissingValuesWithRegressionSVM

    public MissingValuesWithRegressionSVM()

Method Detail

### generateValueForOp

    public java.lang.String generateValueForOp(Column columnWithMissingValues)
                                        throws M4CompilerError

  Generates a sql-function to describe a new column. This method generates a sql-function to describe a new column. The function is generated by an external learning operator. The external wrapper is called in function 'callStatement'. Afterwards the function call to use it is generated.

  Specified by:
    `generateValueForOp` in class `MissingValues`
  Parameters:
    `columnWithMissingValues` - The Column which has some missing values.
  Returns:
    the SQL-function call
  Throws:
    `M4CompilerError` - A simple exception object with an error message.

### getDatabaseSchema

    protected java.lang.String getDatabaseSchema()
                                          throws M4CompilerError

  Throws:
    `M4CompilerError`

### getC

    public java.lang.String getC()
                          throws M4CompilerError

  Gets the c.

  Returns:
    Returns a String
  Throws:
    `M4CompilerError`

### getEpsilon

    public java.lang.String getEpsilon()
                                throws M4CompilerError

  Gets the epsilon.

  Returns:
    Returns a String
  Throws:
    `M4CompilerError`

### getKernelType

    public java.lang.String getKernelType()
                                   throws M4CompilerError

  Gets the kernelType.

  Returns:
    Returns a String
  Throws:
    `M4CompilerError`

### getLossFunctionNeg

    public java.lang.String getLossFunctionNeg()
                                        throws M4CompilerError

  Gets the lossFunctionNeg.

  Returns:
    Returns a String
  Throws:
    `M4CompilerError`

### getLossFunctionPos

    public java.lang.String getLossFunctionPos()
                                        throws M4CompilerError

  Gets the lossFunctionPos.

  Returns:
    Returns a String
  Throws:
    `M4CompilerError`

### getSampleSize

    public long getSampleSize()
                       throws M4CompilerError

  Gets the sampleSize.

  Returns:
    -1 if the parameter was not specified; otherwise the sample size as a `long`
  Throws:
    `M4CompilerError`

### getThePredictingAttributes

    public BaseAttribute[] getThePredictingAttributes()
                                               throws M4CompilerError

  Gets ThePredictingAttributes.

  Returns:
    Returns an array of BaseAttributes
  Throws:
    `M4CompilerError`

### getKey

    public BaseAttribute getKey()
                         throws M4CompilerError

  Gets the optional parameter 'TheKey'.

  Returns:
    Returns a BaseAttribute or `null`
  Throws:
    `M4CompilerError`

### setToDatabaseSVM

    public void setToDatabaseSVM()

  When this method is called before `generateSQL()`, this operator will use mySVM/db, otherwise mySVM.

### setToStandardSVM

    public void setToStandardSVM()

  When this method is called before `generateSQL()`, this operator will use mySVM.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005